Orders

Submit or preview orders to trigger Limio's order orchestration framework. Supports new subscriptions, offer changes, cancellations, address updates, payment method changes, and gift redemptions.

Submit Order

post

Submit an order directly to Limio. This will apply the changes immediately and can be used to update a subscription, change the offer, or update customer details.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

OAuth 2.0 Bearer token for authenticated API access. Required for order submission, object management, and administrative operations.

Obtain a token via the OAuth flow described in OAuth Bearer Token.

Pass the token in the Authorization header: Bearer <token>

Body
or
or
or
or
or
or
or
or
or
Responses
chevron-right
200

OK

application/json

Response returned after successfully submitting an order.

idstringOptional

Unique identifier of the created order.

Example: order-4dd195c3eee4297e33aecb5436cf8092
order_referencestringOptional

Human-readable order reference code.

Example: 8HK92PL401QW
statusstring · enumOptional

Processing status of the order.

Example: completePossible values:
external_idstringOptional

The external order reference provided in the request, if any.

Example: EXT-ORD-12345
subscriptionReferencestringOptional

Reference code of the subscription created or modified by this order.

Example: 2TJ25TK632EG
ownerstringOptional

The identity ID that owns objects created by this order.

Example: id-62401f8d5bf6b26a37ea0defd66fd005
post
/order

Submit Order as Admin

post

Submit an order using management credentials. Admin users can optionally include a partner organisation to attribute the order to and run partner-specific eligibility checks and associate the order, and all its related objects with the partner organisation.

Authorizations
AuthorizationstringRequired

OAuth 2.0 Bearer token for authenticated API access. Required for order submission, object management, and administrative operations.

Obtain a token via the OAuth flow described in OAuth Bearer Token.

Pass the token in the Authorization header: Bearer <token>

Body
Responses
chevron-right
200

OK

application/json

Response returned after successfully submitting an order.

idstringOptional

Unique identifier of the created order.

Example: order-4dd195c3eee4297e33aecb5436cf8092
order_referencestringOptional

Human-readable order reference code.

Example: 8HK92PL401QW
statusstring · enumOptional

Processing status of the order.

Example: completePossible values:
external_idstringOptional

The external order reference provided in the request, if any.

Example: EXT-ORD-12345
subscriptionReferencestringOptional

Reference code of the subscription created or modified by this order.

Example: 2TJ25TK632EG
ownerstringOptional

The identity ID that owns objects created by this order.

Example: id-62401f8d5bf6b26a37ea0defd66fd005
post
/admin/order

Preview Order

post

Preview an order in Limio to see the changes that will be applied. This can be used to show the user what will happen before they confirm the order, including changes to future charges, the effective date of the change, and any other details. Supports previewing new subscriptions, offer changes, cancellations, credit memos, gift refunds, and subscription updates.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

OAuth 2.0 Bearer token for authenticated API access. Required for order submission, object management, and administrative operations.

Obtain a token via the OAuth flow described in OAuth Bearer Token.

Pass the token in the Authorization header: Bearer <token>

Body
or
or
or
or
or
or
Responses
chevron-right
200

OK

application/json
post
/order/preview

Last updated

Was this helpful?